Return server-computed move options for one readable board item.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/boards/example/items/example/move-options"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/items/example/move-options';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/boards/example/items/example/move-optionsAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Available move options for one board item.
object
Dry-run move option for one target board status.
object
object
object
Open child items blocking a terminal move.
object
Compact board item summary used by item-link surfaces.
object
Safe summary for a hidden child blocker.
object
object
object
object
object
Example
{ "Data": { "Options": [ { "Errors": [ { "Type": 0, "Severity": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Available move options for one board item.
object
Dry-run move option for one target board status.
object
object
object
Open child items blocking a terminal move.
object
Compact board item summary used by item-link surfaces.
object
Safe summary for a hidden child blocker.
object
object
object
object
object
Example
{ "Data": { "Options": [ { "Errors": [ { "Type": 0, "Severity": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Available move options for one board item.
object
Dry-run move option for one target board status.
object
object
object
Open child items blocking a terminal move.
object
Compact board item summary used by item-link surfaces.
object
Safe summary for a hidden child blocker.
object
object
object
object
object
Example
{ "Data": { "Options": [ { "Errors": [ { "Type": 0, "Severity": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}